%define module_name	fuse
%define module_version	2.2
%define module_release	alt2.1

%define kversion	2.4.29
%define krelease	alt1
%define flavour		ll-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch1: kernel-source-fuse-1.1-ppos.patch

ExclusiveOS: Linux
Url: http://sourceforge.net/projects/avf
# Automatically added by buildreq on Sun Nov 07 2004
BuildRequires: kernel-source-fuse

BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release
Provides: kernel-modules-FUSE-%kversion-%flavour-%krelease = %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
%module_name modules

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

#%patch1 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%configure --with-kernel=%_usrsrc/linux-%kversion-%flavour --disable-lib --disable-util --disable-example
%make_build

%install
%__make install fusemoduledir=%module_dir/fs/ DESTDIR=$RPM_BUILD_ROOT

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease
%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Sun Feb 06 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt2.1
- Updated to FUSE 2.2

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2.1-alt2.1
- Rebuild for kernel 2.4.28.

* Mon Dec 06 2004 Denis Smirnov <mithraen@altlinux.ru> 2.1-alt1.1
- Updated to FUSE 2.1

* Sun Nov 07 2004 Denis Smirnov <mithraen@altlinux.ru> 1.9-alt5.1
- Updated to FUSE 1.9

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 1.1-alt4.1
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.1-alt3.1
- Added:
  + kernel-source-fuse-1.1-ppos.patch: CAN-2004-0415

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.1-alt2.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Tue May 18 2004 Anton Farygin <rider@altlinux.ru> 1.1-alt1.1
- 1.1, fixed install and build sections for kernel 2.4 and 2.6

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt6.1
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt5.1
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt4.1
- Fixed compiler version selection.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt3.1
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt2.1
- Renamed to kernel-modules-FUSE.
- Fixed installed module location.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Wed Nov 05 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt1.1
- Imported to kernel CVS.

* Sun Nov 02 2003 Alexander Nekrasov <canis@altlinux.ru> 1.0-alt1
- first build
